<html>
<head>
<title>TestNG:  Default test</title>
<link href="../testng.css" rel="stylesheet" type="text/css" />
<link href="../my-testng.css" rel="stylesheet" type="text/css" />

<style type="text/css">
.log { display: none;} 
.stack-trace { display: none;} 
</style>
<script type="text/javascript">
<!--
function flip(e) {
  current = e.style.display;
  if (current == 'block') {
    e.style.display = 'none';
    return 0;
  }
  else {
    e.style.display = 'block';
    return 1;
  }
}

function toggleBox(szDivId, elem, msg1, msg2)
{
  var res = -1;  if (document.getElementById) {
    res = flip(document.getElementById(szDivId));
  }
  else if (document.all) {
    // this is the way old msie versions work
    res = flip(document.all[szDivId]);
  }
  if(elem) {
    if(res == 0) elem.innerHTML = msg1; else elem.innerHTML = msg2;
  }

}

function toggleAllBoxes() {
  if (document.getElementsByTagName) {
    d = document.getElementsByTagName('div');
    for (i = 0; i < d.length; i++) {
      if (d[i].className == 'log') {
        flip(d[i]);
      }
    }
  }
}

// -->
</script>

</head>
<body>
<h2 align='center'>Default test</h2><table border='1' align="center">
<tr>
<td>Tests passed/Failed/Skipped:</td><td>4/2/0</td>
</tr><tr>
<td>Started on:</td><td>Fri Feb 03 13:04:48 IST 2023</td>
</tr>
<tr><td>Total time:</td><td>11 seconds (11267 ms)</td>
</tr><tr>
<td>Included groups:</td><td></td>
</tr><tr>
<td>Excluded groups:</td><td></td>
</tr>
</table><p/>
<small><i>(Hover the method name to see the test class name)</i></small><p/>
<table width='100%' border='1' class='invocation-failed'>
<tr><td colspan='4' align='center'><b>FAILED TESTS</b></td></tr>
<tr><td><b>Test method</b></td>
<td><b>Attribute(s)</b></td>
<td width="30%"><b>Exception</b></td>
<td width="10%"><b>Time (seconds)</b></td>
<td><b>Instance</b></td>
</tr>
<tr>
<td title='stepdefinition.Testrunner$TestRunner.runScenario()'><b>runScenario</b><br>Test class: stepdefinition.Testrunner$TestRunner<br>Test method: Runs Cucumber Scenarios<br>Parameters: "To validate search for product functionality", "Fristcry Application functionality"</td>
<td><div><pre>java.lang.IllegalArgumentException: Driver must be set
	at org.openqa.selenium.internal.Require.nonNull(Require.java:59)
	at org.openqa.selenium.interactions.Actions.&lt;init&gt;(Actions.java:60)
	at CalledMethods.Searchpage.toyscatag(Searchpage.java:22)
	at stepdefinition.Firstcryapplication.user_have_able_to_select_the_toys_section(Firstcryapplication.java:57)
	at ✽.user have  able to  select the Toys Section(file:///home/narayanan/eclipse-workspace5/cucumberfirstproject/src/test/resources/Feature/scenerio.feature:11)
</pre></div><a href='#' onClick='toggleBox("stack-trace270157340", this, "Click to show all stack frames", "Click to hide stack frames")'>Click to show all stack frames</a>
<div class='stack-trace' id='stack-trace270157340'><pre>java.lang.IllegalArgumentException: Driver must be set
	at org.openqa.selenium.internal.Require.nonNull(Require.java:59)
	at org.openqa.selenium.interactions.Actions.&lt;init&gt;(Actions.java:60)
	at CalledMethods.Searchpage.toyscatag(Searchpage.java:22)
	at stepdefinition.Firstcryapplication.user_have_able_to_select_the_toys_section(Firstcryapplication.java:57)
	at ✽.user have  able to  select the Toys Section(file:///home/narayanan/eclipse-workspace5/cucumberfirstproject/src/test/resources/Feature/scenerio.feature:11)
</pre></div></td>
<td>0</td>
<td>stepdefinition.Testrunner$TestRunner@2ddc9a9f</td></tr>
<tr>
<td title='stepdefinition.Testrunner$TestRunner.runScenario()'><b>runScenario</b><br>Test class: stepdefinition.Testrunner$TestRunner<br>Test method: Runs Cucumber Scenarios<br>Parameters: "Successful Login with Valid Credentials", "Fristcry Application functionality"</td>
<td><div><pre>java.lang.NullPointerException: Cannot invoke &quot;org.openqa.selenium.SearchContext.findElement(org.openqa.selenium.By)&quot; because &quot;this.searchContext&quot; is null
	at org.openqa.selenium.support.pagefactory.DefaultElementLocator.findElement(DefaultElementLocator.java:70)
	at org.openqa.selenium.support.pagefactory.internal.LocatingElementHandler.invoke(LocatingElementHandler.java:39)
	at jdk.proxy2/jdk.proxy2.$Proxy27.click(Unknown Source)
	at CalledMethods.LoginPage.loginbtn(LoginPage.java:18)
	at stepdefinition.Firstcryapplication.user_click_on_sign_button(Firstcryapplication.java:32)
	at ✽.User click on sign button(file:///home/narayanan/eclipse-workspace5/cucumberfirstproject/src/test/resources/Feature/scenerio.feature:5)
</pre></div><a href='#' onClick='toggleBox("stack-trace634440506", this, "Click to show all stack frames", "Click to hide stack frames")'>Click to show all stack frames</a>
<div class='stack-trace' id='stack-trace634440506'><pre>java.lang.NullPointerException: Cannot invoke &quot;org.openqa.selenium.SearchContext.findElement(org.openqa.selenium.By)&quot; because &quot;this.searchContext&quot; is null
	at org.openqa.selenium.support.pagefactory.DefaultElementLocator.findElement(DefaultElementLocator.java:70)
	at org.openqa.selenium.support.pagefactory.internal.LocatingElementHandler.invoke(LocatingElementHandler.java:39)
	at jdk.proxy2/jdk.proxy2.$Proxy27.click(Unknown Source)
	at CalledMethods.LoginPage.loginbtn(LoginPage.java:18)
	at stepdefinition.Firstcryapplication.user_click_on_sign_button(Firstcryapplication.java:32)
	at ✽.User click on sign button(file:///home/narayanan/eclipse-workspace5/cucumberfirstproject/src/test/resources/Feature/scenerio.feature:5)
</pre></div></td>
<td>10</td>
<td>stepdefinition.Testrunner$TestRunner@2ddc9a9f</td></tr>
</table><p>
<table width='100%' border='1' class='invocation-passed'>
<tr><td colspan='4' align='center'><b>PASSED TESTS</b></td></tr>
<tr><td><b>Test method</b></td>
<td><b>Attribute(s)</b></td>
<td width="30%"><b>Exception</b></td>
<td width="10%"><b>Time (seconds)</b></td>
<td><b>Instance</b></td>
</tr>
<tr>
<td title='stepdefinition.Testrunner$TestRunner.runScenario()'><b>runScenario</b><br>Test class: stepdefinition.Testrunner$TestRunner<br>Test method: Runs Cucumber Scenarios<br>Parameters: "To validate payment functionality", "Fristcry Application functionality"</td>
<td></td>
<td>0</td>
<td>stepdefinition.Testrunner$TestRunner@2ddc9a9f</td></tr>
<tr>
<td title='stepdefinition.Testrunner$TestRunner.runScenario()'><b>runScenario</b><br>Test class: stepdefinition.Testrunner$TestRunner<br>Test method: Runs Cucumber Scenarios<br>Parameters: "To validate AddAddress functionality", "Fristcry Application functionality"</td>
<td></td>
<td>0</td>
<td>stepdefinition.Testrunner$TestRunner@2ddc9a9f</td></tr>
<tr>
<td title='stepdefinition.Testrunner$TestRunner.runScenario()'><b>runScenario</b><br>Test class: stepdefinition.Testrunner$TestRunner<br>Test method: Runs Cucumber Scenarios<br>Parameters: "To validate Addtocart functionality", "Fristcry Application functionality"</td>
<td></td>
<td>0</td>
<td>stepdefinition.Testrunner$TestRunner@2ddc9a9f</td></tr>
<tr>
<td title='stepdefinition.Testrunner$TestRunner.runScenario()'><b>runScenario</b><br>Test class: stepdefinition.Testrunner$TestRunner<br>Test method: Runs Cucumber Scenarios<br>Parameters: "Successful LogOut", "Fristcry Application functionality"</td>
<td></td>
<td>0</td>
<td>stepdefinition.Testrunner$TestRunner@2ddc9a9f</td></tr>
</table><p>
</body>
</html>